﻿using Simbir.Market.Account.Services.DTO;

namespace Simbir.Market.Account.Services
{
    public interface ITokenService
    {
        Task<string> GenerateAccessTokenAsync(long userId);
        Task<string> GenerateRefreshTokenAsync(long userId);
        Task<AccessAndRefreshTokenDTO> GenerateTokensAsync(long userId);
        Task<TokenValidationResultDTO> ValidateAccessToken(string token);
        Task<AccessAndRefreshTokenDTO> RefreshTokensAsync(string refreshToken);
    }
}
