﻿using AutoMapper;
using Simbir.Market.Market.Controllers.DTO;
using Simbir.Market.Market.Models;

namespace Simbir.Market.Market.AutoMapper
{
    public class AutoMapperProfile : Profile
    {
        public AutoMapperProfile()
        {
            CreateMap<ProductCreateRequest, Product>()
                .ForMember(entity => entity.Id, opt => opt.Ignore())
                .ForMember(entity => entity.Amount, opt => opt.Ignore())
                .ForMember(entity => entity.IsDeleted, opt => opt.Ignore());
            CreateMap<ProductUpdateRequest, Product>()
                .ForMember(entity => entity.Id, opt => opt.Ignore())
                .ForMember(entity => entity.Amount, opt => opt.Ignore())
                .ForMember(entity => entity.IsDeleted, opt => opt.Ignore());
        }
    }
}
