﻿using System.ComponentModel.DataAnnotations;

namespace Simbir.Market.Account.Controllers.DTO
{
    public class SignUpRequest
    {
        [Required]
        [MaxLength(256, ErrorMessage = "Имя пользователя должно быть не больше 256 символов в длину")]
        public string Username { get; set; }
        [Required]
        [MaxLength(256, ErrorMessage = "Пароль должен быть не больше 256 символов в длину")]
        public string Password { get; set; }
    }
}
