﻿using System.ComponentModel.DataAnnotations.Schema;

namespace Simbir.Market.Account.Models
{
    public class User
    {
        [Column("id")]
        public long Id { get; set; }
        [Column("user_name")]
        public string UserName { get; set; }
        [Column("password_hash")]
        public string PasswordHash { get; set; }
        [Column("is_deleted")]
        public bool IsDeleted { get; set; }
        [Column("is_login")]
        public bool IsLogin { get; set; }
        public virtual ICollection<UserRole>? UserRoles { get; set; }
    }
}
