﻿using System.ComponentModel.DataAnnotations.Schema;

namespace Simbir.Market.Market.Models
{
    public class Product
    {
        [Column("id")]
        public long Id { get; set; }
        [Column("name")]
        public string Name { get; set; }
        [Column("description")]
        public string Description { get; set; }
        [Column("amount")]
        public int Amount { get; set; }
        [Column("price")]
        public double Price { get; set; }
        [Column("user_id")]
        public int UserId { get; set; }
        [Column("is_deleted")]
        public bool IsDeleted { get; set; }
    }
}
