﻿using Microsoft.EntityFrameworkCore;
using Simbir.Market.Payment.Models;

namespace Simbir.Market.Payment.Data;

public class DataContext : DbContext
{
    public DbSet<PaymentEntity> Payments { get; set; }
    public DataContext() { }

    public DataContext(DbContextOptions<DataContext> options) : base(options) { }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Entity<PaymentEntity>().ToTable("payments").HasKey(i => i.Id);
        modelBuilder.Entity<PaymentEntity>().Property(i => i.Id).UseIdentityColumn();
    }
}
