﻿using System.ComponentModel.DataAnnotations;

namespace Simbir.Market.Purchase.Controllers.DTO
{
    public class PurchaseCreateRequest
    {
        [Required]
        public long ProductId { get; set; }
        [Required]
        [Range(1, long.MaxValue, ErrorMessage = "Стоимость товара должна быть больше {1}")]
        public int Amount { get; set; }
    }
}
