﻿using Microsoft.EntityFrameworkCore;
using Simbir.Market.Purchase.Models;

namespace Simbir.Market.Purchase.Data;

public class DataContext : DbContext
{
    public DbSet<PurchaseEntity> Purchases { get; set; }
    public DataContext() { }

    public DataContext(DbContextOptions<DataContext> options) : base(options) { }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Entity<PurchaseEntity>().ToTable("purchases").HasKey(i => i.Id);
        modelBuilder.Entity<PurchaseEntity>().Property(i => i.Id).UseIdentityColumn();
    }
}