﻿using System.ComponentModel.DataAnnotations.Schema;

namespace Simbir.Market.Purchase.Models;

public class PurchaseEntity
{
    [Column("id")]
    public long Id { get; set; }
    [Column("product_id")]
    public long ProductId { get; set; }
    [Column("amount")]
    public int Amount { get; set; }
    [Column("total_cost")]
    public double TotalCost { get; set; }
    [Column("user_id")]
    public long UserId { get; set; }
    [Column("status")]
    public PurchaseStatus Status { get; set; } = PurchaseStatus.Created;
    [Column("payment_id")]
    public long? PaymentId { get; set; }
}
