﻿using Simbir.Market.Purchase.Controllers.DTO;
using Simbir.Market.Purchase.Services.DTO;

namespace Simbir.Market.Purchase.Services
{
    public interface IPurchaseService
    {
        Task CancelPurchaseAsync(long id, string accessToken);
        Task<long> CreatePurchaseAsync(PurchaseCreateRequest request, string accessToken);
        Task<PurchaseHistoryInfoListDTO> GetPurchaseHistoryByUserIdAsync(long userId, int from, int count, string accessToken);
        Task<string> GetPurchaseStatusAsync(long id, string accessToken);
        Task ClosePurchaseAsync(long paymentId);
    }
}
